## com.sun.jersey.api.container.filter
Enum PostReplaceFilter.ConfigFlag

    java.lang.Object
      java.lang.Enum<PostReplaceFilter.ConfigFlag>
          com.sun.jersey.api.container.filter.PostReplaceFilter.ConfigFlag

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<PostReplaceFilter.ConfigFlag>

Enclosing class:
  PostReplaceFilter

    public static enum PostReplaceFilter.ConfigFlag

extends java.lang.Enum<PostReplaceFilter.ConfigFlag>

Enum representing configuration flags that can be set on the filter. Each literal of this enum is a flag that can either be turned on (included in the config) or not.

Enum Constant Summary
`HEADER` If added to the config, causes the filter to look for a method override in the X-HTTP-Method-Override header
`QUERY` If added to the config, causes the filter to look for a method override in the _method query parameter

Method Summary
`int` | `getFlag()` Returns the numeric value of the bit corresponding to this flag.
`boolean` | `isPresentIn(int config)` Returns true if the bit corresponding to this flag is set in a given integer value
`static PostReplaceFilter.ConfigFlag` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static PostReplaceFilter.ConfigFlag[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### HEADER

    public static final PostReplaceFilter.ConfigFlag HEADER

  If added to the config, causes the filter to look for a method override in the X-HTTP-Method-Override header

### QUERY

    public static final PostReplaceFilter.ConfigFlag QUERY

  If added to the config, causes the filter to look for a method override in the _method query parameter

Method Detail

### values

    public static PostReplaceFilter.ConfigFlag[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (PostReplaceFilter.ConfigFlag c : PostReplaceFilter.ConfigFlag.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static PostReplaceFilter.ConfigFlag valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getFlag

    public int getFlag()

  Returns the numeric value of the bit corresponding to this flag.

  Returns:
    numeric value of this flag

### isPresentIn

    public boolean isPresentIn(int config)

  Returns true if the bit corresponding to this flag is set in a given integer value

  Parameters:
    `config` - Integer value to check for the bit corresponding to this flag
  Returns:
    true if the passed value has the bit corresponding to this flag set

Copyright © 2017 Oracle Corporation. All Rights Reserved.